## erlang 27.3.4.6+dfsg

=== debian/changelog ===
erlang (1:27.3.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 27 Nov 2025 15:27:59 +0300
