## erlang 28.0.1+dfsg

=== debian/changelog ===
erlang (1:28.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Jun 2025 14:35:35 +0300

erlang (1:28.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 May 2025 11:22:24 +0300
