## erlang 28.0.2+dfsg

=== debian/changelog ===
erlang (1:28.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Fix erlang-base.prerm and erlang-base.postinst scripts code that
    searches for the erlang-dependent services.
  * Reorganize debian/rules to respect "parallel=N" when passed
    in DEB_BUILD_OPTIONS.
  * Drop providing erlang-pcre by erlang-base because it is not used by
    any package and is not necessary anymore.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 20 Jul 2025 13:42:20 +0300
